﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using PhoneApp1.Resources;
using Windows.System;
using System.Windows.Input;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace PhoneApp1
{
    public partial class MainPage : PhoneApplicationPage
    {
        ObservableCollection<Item> source = new ObservableCollection<Item>();
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            for (int i = 1; i < 100; i++)
            {
                source.Add(new Item { Text = i.ToString() });
            }

            this.DataContext = source;

    
            // Sample code to localize the ApplicationBar
            //BuildLocalizedApplicationBar();
        }


       
       
 

      
        public class Item : ViewModelBase
        {
            private string text;
            public string Text
            {
                get
                {
                    return this.text;
                }
                set
                {
                    this.text = value;
                    OnPropertyChanged("Text");
                }
            }

            private bool isRead;
            public bool IsRead
            {
                get
                {
                    return this.isRead;
                }
                set
                {
                    this.isRead = value;
                    OnPropertyChanged("IsRead");
                }
            }
        }
 
 

        private bool flag;
        private double nextSize = 0;
        private double previousSize = 0;
        private void RadExpanderControl_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            var expander = sender as RadExpanderControl;

            if (!flag)
            {
                previousSize = expander.ActualHeight;
                nextSize = expander.ActualHeight;
                flag = true;
            }
            else
            {
                nextSize = expander.ActualHeight;

                if (nextSize != previousSize)
                {
                    this.myListBox.BringIntoView(source[4]);
                    (sender as RadExpanderControl).SizeChanged -= this.RadExpanderControl_SizeChanged;
                }
            }   
        }
  
        // Sample code for building a localized ApplicationBar
        //private void BuildLocalizedApplicationBar()
        //{
        //    // Set the page's ApplicationBar to a new instance of ApplicationBar.
        //    ApplicationBar = new ApplicationBar();

        //    // Create a new button and set the text value to the localized string from AppResources.
        //    ApplicationBarIconButton appBarButton = new ApplicationBarIconButton(new Uri("/Assets/AppBar/appbar.add.rest.png", UriKind.Relative));
        //    appBarButton.Text = AppResources.AppBarButtonText;
        //    ApplicationBar.Buttons.Add(appBarButton);

        //    // Create a new menu item with the localized string from AppResources.
        //    ApplicationBarMenuItem appBarMenuItem = new ApplicationBarMenuItem(AppResources.AppBarMenuItemText);
        //    ApplicationBar.MenuItems.Add(appBarMenuItem);
        //}

     
    }
}